@import "../../.././common/css/fonts";
@import "../../.././common/css/colors";
@import "../../.././common/css/media";
@import "../../.././common/css/common";

.cmp-container--mobileheader {

    .cmp-container {

        .cmp-image--header {
            .cmp-image {

                .cmp-image__image {}
            }
        }
    }

    .cmp-search--header {
        .cmp-search {
            .cmp-search__form {}

            .cmp-search__field {
                .cmp-search__icon {}

                .cmp-search__input {}
            }
        }
    }

    .cmp-navigation--mobileheader {

        .cmp-navigation {

            .cmp-navigation__group {
                display: flex;
                justify-content: center;

                @include mobile {
                    flex-wrap: wrap;
                }

                .cmp-navigation__item--level-0 {
                    position: relative;
                    padding: 0px 30px;

                    .cmp-navigation__item-link {
                        color: #000;
                        font-size: 16px;
                        font-weight: 500;

                        &:hover {
                            text-decoration: underline;

                            +.cmp-navigation__group {
                                opacity: 1;
                                visibility: visible;
                                // transform: translateY(0px);
                            }

                        }
                    }

                    .cmp-navigation__group {
                        width: 150px;
                        position: absolute;
                        padding-top: 25%;
                        left: 0;
                        display: flex;
                        flex-direction: column;
                        visibility: hidden;
                        opacity: 0;
                        background-color: #ffffff;
                        color: rgb(0, 0, 0);
                        text-align: center;
                        // transform: translateY(-400%);
                        transition: opacity 0.9s ease, transform 0.9s ease, visibility 0.9s;

                        @include mobile {
                            display: none;
                        }


                        &:hover {
                            opacity: 1;
                            visibility: visible;
                            transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s;

                        }

                        .cmp-navigation__item--level-1 {
                            padding: 10px 0px;

                            .cmp-navigation__item-link {}

                            .cmp-navigation__group {
                                top: 60px;
                                left: 150px;

                                @include mobile {
                                    display: none;
                                }
                            }
                        }
                    }
                }


            }
        }
    }
}